/***************************************************************************
 *   Copyright (C) 2004 by Walter Roth                                     *
 *   walter@amd2600-roth                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef GUISQLQUERY_H
#define GUISQLQUERY_H

#include <guisqlquerybase.h>
#include <qstring.h>
#include <qsqlquery.h>

/**
A small dialog that allows the execution of user choosen sql queries

@author Thomas Richter
*/
class GuiSqlQuery : public GuiSqlQueryBase
{
Q_OBJECT
public:
    GuiSqlQuery(QWidget *parent = 0, const char *name = 0);

    ~GuiSqlQuery();

   virtual void slotExecuteQuery();

signals: 
  
  void sqlQuery(QString query);
};

#endif
